function SS = GetBewleyResults(S)
% This function calculates Bewley model in object S (for automatization, is
% not called by Bewley_main.m).

S = FinElObjSetUp(S);               % set up the object
Vguess = GetBewleyVGuess(S);        % get value-function guess
S(1).V.val = Vguess;
S = GetJac(S);                      % extrapolate value-function guess
S = ValueFctIter(S);                % iterate on value-function

SS = S;                             % return the object
